<?php
session_start();
if (empty($_SESSION['uid'])) {
    header("Location: index.php");
    exit;
}
require_once 'functions.php';
$user = $user ?? [];
if ($user->room != 30) {
    header("Location: main.php");
    exit;
}
$klanName = $_POST['klanname'] ?? '';
$klanAbbr = $_POST['klanabbr'] ?? '';
$klanDescr = $_POST['klandescr'] ?? '';

if ($klanName && $klanAbbr && $klanDescr) {

    $eff = db::c()->query('SELECT 1 FROM `effects` WHERE `owner` = ?i AND `type` = 20', $user->id);
    $name_check = db::c()->query('SELECT 1 FROM `clans` WHERE `name` = "?s" OR `short` = "?s"', 111, 333);
    $errorMessage = '';

    if ($user->align) {
        $errorMessage .= 'Вы уже имеете направленность!. <BR>';
    }
    if ($user->clan) {
        $errorMessage .= 'Вы уже состоите в клане!. <BR>';
    }
    if (Config::$clan_register_cost >= $user->money) {
        $errorMessage .= 'Не хватает денег на регистрацию клана. <BR>';
    }
    if (!$eff) {
        $errorMessage .= 'Нет проверки. <BR>';
    }
    if (!$name_check) {
        $errorMessage .= 'Клан с такими данными уже существует.<br>';
    }

    if (!$errorMessage && !Config::$clan_register_lock) {
//        db::c()->query('INSERT INTO `reg_klan` (owner, name, abr, descr) VALUES (?i,"?s","?s","?s")',
//            $user->id, $klanName, $klanAbbr, $klanDescr);
        $user->money -= Config::$clan_register_cost;
        Bank::setBankMoney($user->money, $user->id);
        echo 'Заявка на регистрацию клана подана.';
        err('Проверки пройдены, но клан регистрировать пока нельзя!');
    } else {
        err($errorMessage);
    }
}
?>
<!doctype html>
<html lang="ru">
<head>
    <link rel=stylesheet href="css/main.css">
    <meta charset="utf-8">
    <script>
        function leave() {
            top.frames['main'].location = 'city.php?strah'
        }
    </script>
    <title>Регистратура кланов</title>
</head>
<body>
<h1>Регистратура кланов</h1>
<a href=# onclick=leave()> ← выйти из регистратуры</a>
<?php
if ($user->admin) {
    $clanreg = db::c()->query('SELECT `date`,`name`,`abbr`,`owner`,`descr` FROM `reg_klan`');
    echo '<table>';
    while ($clanreg_row = $clanreg->fetch_assoc()) {
        echo "<TR>
            <TD>", $clanreg_row['date'], "</TD>
            <TD>", $clanreg_row['name'], "</TD>
            <TD>", $clanreg_row['abbr'], "</TD>
            <TD>", Nick::id($clanreg_row['owner'])->full(), "</TD>
            <TD>", nl2br($clanreg_row['descr']), "</TD>
          </TR>";
    }
    echo '</table>';
}
?>
Для регистрации клана необходимо иметь:
<ol>
    <li>Проверку на чистоту.
    <li>10000 кредитов на банковском счёте.
</ol>
Поле информации не обазательное. Но его содержимое может серьёзно повысить шансы на регистрацию клана.<BR>
Заявку на регистрацию подает глава клана.
<form method="post">
    <fieldset style="display: inline;">
        <legend>Заявка на регистрацию</legend>
        <input size=30 name="klanname" placeholder="Название клана" value="<?= $klanName ?>">
        <input size=30 name="klanabbr" placeholder="Английская аббревиатура" value="<?= $klanAbbr ?>"><BR>
        <BR>
        <textarea cols=80 rows=10 name="klandescr"
                  placeholder="Информация о клане для энциклопедии"><?= nl2br($klanDescr) ?></textarea><BR>
        <input type="submit" value="Подать заявку">
    </fieldset>
</form>
</body>
</html>